# R-LINE mpi

R-LINE (A Research LINE-source dispersion model for near-surface releases).

R-LINE simulates the pollutant dispersion of a linear source using a gaussian dispersion scheme, 
and computes the concentration of said pollutant in a group of receptors given several meteorological 
variables.

To simulate the linear source, the algorithm approximates it as several puntual sources in a line. 
The contributions of each point source are summed using a Romberg approximation to the integral. 
The maximum number of points used depend on the proximity between the receptor and the linear source.

More information about the model can be found in Snyder et al., RLINE: A line source dispersion model
for near-surface releases (https://doi.org/10.1016/j.atmosenv.2013.05.074). Version 1.2 of the model
is open-source and can be downloaded from https://www.cmascenter.org/r-line/.

To account for chemical reactions and interactions between NO2 and other species, R-LINE can be modified
with a chemistry scheme (Valencia et al., Development and evaluation of the R-LINE model algorithms to
account for chemical transformation in the near-road environment, https://escholarship.org/uc/item/51n841hj)

R-LINE is coupled with CALIOPE (WRF+HERMESv3.0+CMAQ) to create CALIOPE-Urban for Barcelona domain,
getting street-level concentrations in a resolution of 20 m x 20 m. More information about the
approximations it uses can be found in Benavides et al., CALIOPE-Urban v1.0: coupling R-LINE with
a mesoscale air quality modelling system for urban air quality forecasts over Barcelona city 
(Spain), https://doi.org/10.5194/gmd-12-2811-2019).

The goal of this project is to understand the differences between R-LINE versions and adapt and 
optimize the code to introduce new pollutants (PM) and expand the domain of CALIOPE-Urban to other regions.
